Page MenuHomePhabricator

Not able to save activity edits
Closed, ResolvedPublic

Description

I'm trying to update a few activities that I created. The edit that I'm making is selecting a new assignee. No other changes are being made. The prompt attached pops up and when I select any of the options and then press continue and save, it just leads back to the prompt.

Event Timeline

LeanneS created this task.Jun 13 2016, 7:22 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 13 2016, 7:22 PM
DStrine triaged this task as Medium priority.Jun 14 2016, 8:14 PM

Just want to note that @JCuriel is also experiencing this issue when trying to edit activities, so it seems to be a problem for multiple users.

Here's another example of the issue: I'm trying to mark as "completed" an assignment that was marked as "scheduled." But when I go to edit the task, Civi asks me to fill out an "Update repeating activity" form -- and when I try to do that, and press "continue," then "save," it takes me back to the "Update repeating activity" form. One note: The original assignment wasn't initiated by me, but that shouldn't make a difference. Thanks.

CaitVirtue raised the priority of this task from Medium to High.Jul 19 2016, 4:59 PM
CaitVirtue added a subscriber: Eileenmcnaughton.

@DStrine and @Eileenmcnaughton Confirming that we are still unable to edit activities. The prompt continues to pop up.

For further context, a bunch of reminders are effectively broken at this time. Some of these reminders are for things like "submit grant report by X date" or "apply for renewed funding by X date." Having these be broken is a problem that could cost us money & relationships. Sprint +1 is fine, but I wouldn't want to push it out past then.

OK I tracked this down

https://issues.civicrm.org/jira/browse/CRM-19391
https://github.com/civicrm/civicrm-core/pull/9078

We can apply the above patch or we can give out the access CiviEvent permission to CIVICRM ADMIN & fr-tech (& get the patch from upstream eventually)

@awight @Ejegg do you have any objection to giving out access CiviEvent permission? I feel like Gifts had some interest in poking around on it anyway

I pulled this in since it is not too hard

put in review - because I still need to finish conversation with @awight regarding giving permission as fix - see earlier comments

OK spoke with ejegg & we thought the permission was OK - added @LeanneS - should work now

@Eileenmcnaughton thanks - it seems to be working!

Eileenmcnaughton closed this task as Resolved.Sep 28 2016, 9:06 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM